OD(1)

NOM
od - Afficher le contenu d'un fichier en octal ou sous d'autres formats

SYNOPSIS
od [OPTION]... [FICHIER]...
od [-abcdfilosx]... [FICHIER] [[+]POSITION[.][b]]
od --traditional [OPTION]... [FICHIER] [[+]POSITION[.][b] [+][ÉTIQUETTE][.][b]]

DESCRIPTION

Afficher sur la sortie standard et de manière non ambiguë, par défaut sous forme d'octets en représentation octale, le contenu du FICHIER. S'il y a plus d'un paramètre FICHIER indiqué, les concaténer dans l'ordre où ils sont présentés afin de constituer l'entrée.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Si les formats du premier et du second appel sont utilisés, le deuxième format est utilisé si le dernier opérande débute par « + » ou, dans le cas de 2 opérandes, par un chiffre. Un opérande de déplacement signifie -j POSITION. L'ÉTIQUETTE est la pseudoadresse du premier octet affiché, elle est incrémentée lors de l'affichage. Pour la POSITION et l'ÉTIQUETTE, un préfixe 0x ou 0X indique un format hexadécimal. Les suffixes peuvent être « . » pour l'octal et « b » pour un multiple de 512 octets.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-A, --address-radix=BASE
    définir la BASE dans laquelle les POSITIONs dans les fichiers sont affichés ; BASE doit être un caractère parmi d (décimal), o (octal), x (hexadécimal) ou n (aucune)

--endian={big|little}
    intervertir les octets entrants suivant l’ordre indiqué

-j, --skip-bytes=OCTETS
    escamoter les premiers OCTETS de chaque fichier

-N, --read-bytes=OCTETS
    limiter l'affichage à OCTETS lus en entrée

-S OCTETS, --strings[=OCTETS]
    afficher les chaînes d'au moins OCTETS caractères graphiques ; si OCTETS est omis, la valeur utilisée est 3

-t, --format=TYPE
    choisir le(s) format(s) de sortie

-v, --output-duplicates
    ne pas utiliser * pour indiquer une suppression de ligne

-w[OCTETS], --width[=OCTETS]
    afficher OCTETS octets par ligne de sortie ; si OCTETS est omis, la valeur utilisée est 32

--traditional
    accepter les paramètres selon la troisième forme décrite dans le SYNOPSIS

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

  Les spécifications traditionnelles de format peuvent être mélangées ; elles se cumulent :

-a  identique à -t a, afficher les caractères par leur nom, en ignorant le bit de poids fort

-b  identique à -t o1, afficher sous forme d'octets en représentation octale

-c  identique à -t c, afficher sous forme de caractères affichables ou de barres obliques inverses de protection

-d  identique à -t u2, afficher sous forme de groupes de deux octets en représentation décimale non signée

-f  identique à -t fF, afficher sous forme de nombres flottants

-i  identique à -t dI, afficher sous forme d'entiers décimaux

-l  identique à -t dL, afficher sous forme de nombres décimaux longs

-o  identique à -t o2, afficher sous forme de groupes de deux octets en représentation octale

-s  identique à -t d2, afficher sous forme de groupes de deux octets décimaux

-x  identique à -t x2, afficher sous forme de groupes de deux octets hexadécimaux

  Le TYPE est composé d'une ou plusieurs des spécifications suivantes :

a   nom des caractères, en ignorant le bit de poids fort

c   caractère affichable ou barre oblique inverse de protection

d[N]
    décimal signé, N octets par entier

f[N]
    virgule flottante, N octets par entier

o[N]
    octal, N octets par entier

u[N]
    décimal non signé, N octets par entier

x[N]
    hexadécimal, N octets par entier

N est un nombre. Si le TYPE est d, o, u ou x, N peut être aussi C pour sizeof(char), S pour sizeof(short), I pour sizeof(int) ou L pour sizeof(long). Si le TYPE est f, N peut aussi être F pour sizeof(float), D pour sizeof(double) ou L pour sizeof(long double).

L'ajout du suffixe « z » à l'un de ces types affiche des caractères imprimables à la fin de chaque ligne de résultat.

  OCTETS est considéré comme un nombre hexadécimal si préfixé par 0x ou 0X, et peut être suivi d'un multiplicateur :

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

et ainsi de suite pour G, T, P, E, Z, Y. Des préfixes binaires peuvent être également utilisés : KiO=K, MiO=M et ainsi de suite.

EXEMPLES

od -A x -t x1z -v
    afficher la sortie au format hexdump

od -A o -t oS -w16
    le format de sortie par défaut utilisé par od

AUTEUR
Écrit par Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/od>
aussi disponible localement à l’aide de la commande : info '(coreutils) od invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.